alins

    alins

    9 months ago
    while type
    prefect server start
    it say
    ERROR: Couldn't connect to Docker daemon at <http+docker://localhost> - is it running?
    but the docker is up and running could someone help me please ? the full error
    amir@server:~$ prefect server start
    ERROR: Couldn't connect to Docker daemon at <http+docker://localhost> - is it running?
    
    If it's at a non-standard location, specify the URL with the DOCKER_HOST environment variable.
    Exception caught; killing services (press ctrl-C to force)
    ERROR: Couldn't connect to Docker daemon at <http+docker://localhost> - is it running?
    
    If it's at a non-standard location, specify the URL with the DOCKER_HOST environment variable.
    Traceback (most recent call last):
      File "/home/amir/.local/lib/python3.8/site-packages/prefect/cli/server.py", line 623, in start
        subprocess.check_call(
      File "/usr/lib/python3.8/subprocess.py", line 364, in check_call
        raise CalledProcessError(retcode, cmd)
    subprocess.CalledProcessError: Command '['docker-compose', 'pull']' returned non-zero exit status 1.
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/home/amir/.local/bin/prefect", line 8, in <module>
        sys.exit(cli())
      File "/usr/lib/python3/dist-packages/click/core.py", line 764, in __call__
        return self.main(*args, **kwargs)
      File "/usr/lib/python3/dist-packages/click/core.py", line 717, in main
        rv = self.invoke(ctx)
      File "/usr/lib/python3/dist-packages/click/core.py", line 1137, in invoke
        return _process_result(sub_ctx.command.invoke(sub_ctx))
      File "/usr/lib/python3/dist-packages/click/core.py", line 1137, in invoke
        return _process_result(sub_ctx.command.invoke(sub_ctx))
      File "/usr/lib/python3/dist-packages/click/core.py", line 956, in invoke
        return ctx.invoke(self.callback, **ctx.params)
      File "/usr/lib/python3/dist-packages/click/core.py", line 555, in invoke
        return callback(*args, **kwargs)
      File "/home/amir/.local/lib/python3.8/site-packages/prefect/cli/server.py", line 664, in start
        subprocess.check_output(
      File "/usr/lib/python3.8/subprocess.py", line 415, in check_output
        return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
      File "/usr/lib/python3.8/subprocess.py", line 516, in run
        raise CalledProcessError(retcode, process.args,
    subprocess.CalledProcessError: Command '['docker-compose', 'down']' returned non-zero exit status 1.
    Anna Geller

    Anna Geller

    9 months ago
    @alins could you move the code block into the thread to keep the main channel a bit cleaner? Tom has recently faced the same issue, could you try the solution from this thread https://prefect-community.slack.com/archives/C014Z8DPDSR/p1637331372490700?thread_ts=1637331372.490700&amp;cid=C014Z8DPDSR ? In short, your Docker daemon is not configured properly. You need to install both Docker and docker compose, then make sure to set a user group so that you don't need to run docker commands with sudo, and then finally switch to server backend before you try to start server: "prefect backend server" and then "prefect server start"
    Kevin Kho

    Kevin Kho

    9 months ago
    What happens when you do
    docker run hello-world
    ?
    Also, in case you don’t know, Prefect Cloud is has free 20000 task runs every month, which is more than enough to get started with.